class JsonResponseParser : ResponseParser {
    override fun checkResponse(request: UriRequest?) {

    }

    override fun parse(resultType: Type?, resultClass: Class<*>?, result: String?): Any? {
        try {
            if (result?.isEmpty() == true) {
                return null
            }
        } catch (e: Exception) {
            e.printStackTrace()
            return null
        }
        val gson = Gson()
        return gson.fromJson(result, resultClass)
    }

}